Subject: Re: bug#62713: 29.0.60; DocView shows wrong conversion indicator when configured to use svg images

From: Visuwesh <[email-masked]>
Date: Mon, 25 Sep 2023 10:00:40 +0530

Good day, Stefan!

[ஞாயிறு செப்டம்பர் 24, 2023] Stefan Kangas wrote:

>> The indicator should look like
>>
>> DocView: pdf->svg
>>
>> or
>>
>> DocView:pdf->img
>>
>> or
>>
>> DocView:pdf conversion
>>
>> or something like that.
>>
>> Admittedly a very minor issue.
>> Thanks, Gregor
>
> Visuwesh, what do you think?

It is better solved by writing a separate pdf->svg converter function.
Right now, the svg conversion is tacked on top of pdf->png converter
function used for MuPDF.  This was done because I thought only MuPDF
supported pdf->svg conversion but later I was informed that poppler has
utilities to do too.

Such a generic approach was discussed in [1] with the other Stefan but
it fell off my radar since I rarely use docview and hence lost my
motivation.  I will try to whip something up in the coming week.

1. https://yhetil.org/emacs-bugs/[email-masked]/